AstBrowserUiPreferences (Groovy 4.0.15)

Package: groovy.console.ui

## [Groovy] Class AstBrowserUiPreferences

- groovy.console.ui.AstBrowserUiPreferences

-     class AstBrowserUiPreferences
      extends Object

  This class sets and restores control positions in the browser.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `decompiledSourceFontSize`
    `Object` | `frameLocation`
    `Object` | `frameSize`
    `Object` | `horizontalDividerLocation`
    `CompilePhaseAdapter` | `selectedPhase`
    `boolean` | `showClosureClasses`
    `boolean` | `showScriptClass`
    `boolean` | `showScriptFreeForm`
    `boolean` | `showTreeView`
    `Object` | `verticalDividerLocation`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AstBrowserUiPreferences()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `save(Object frame, Object vSplitter, Object hSplitter, Object scriptFreeFormPref, Object scriptClassPref, Object closureClassesPref, CompilePhaseAdapter phase, Object showTreeView)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### int decompiledSourceFontSize

    - #### final Object frameLocation

    - #### final Object frameSize

    - #### final Object horizontalDividerLocation

    - #### final CompilePhaseAdapter selectedPhase

    - #### final boolean showClosureClasses

    - #### final boolean showScriptClass

    - #### final boolean showScriptFreeForm

    - #### final boolean showTreeView

    - #### final Object verticalDividerLocation

  - ### Constructor Detail

    - #### AstBrowserUiPreferences()

  - ### Method Detail

    - #### Object save(Object frame, Object vSplitter, Object hSplitter, Object scriptFreeFormPref, Object scriptClassPref, Object closureClassesPref, CompilePhaseAdapter phase, Object showTreeView)